<?php if(!defined('master_script')) die();

/**
 * Default settings
 *
 * @category   Module (source-code)
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @version	   2010-01-20
 */
	
	if(!isset($module_settings['source-code']['content'])) $module_settings['source-code']['content'] = '';
	
	$module_settings['source-code']['content'] = stripslashes($module_settings['source-code']['content']);
	$module_settings['source-code']['content'] = insert_tags($module_settings['source-code']['content']);
	
	connector('source-code frontend output');

/**
 * Languages
 *
 * @category   Module (source-code)
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @version	   2010-07-28
 */

	$modules['source-code']['key'] = 'source-code';
	include_txt($modules['source-code']['key'], $system_data['folder']['modules'] . $modules['source-code']['key'] . '/languages/');
	include_txt($modules['source-code']['key'], $system_data['folder']['settings'] . 'modules/' . $modules['source-code']['key'] . '/languages/');

/**
 * Include module frontend template
 *
 * @category   Module (source-code)
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @version	   1.0
 */

	include_template('source-code');
	
?>